Overview of changes in 49.1
===========================

• Translation updates

Bugs fixed:
 Fix search issue (!1123)


Overview of changes in 49.0.2
=============================

Fix flatpak build.


Overview of changes in 49.0.1
=============================

Fix issue in metainfo.


Overview of changes in 49.0
===========================

• Translation updates

Bugs fixed:
 Fix type in error message


Overview of changes in 49 rc
============================

Bugs fixed:
 Fix order of playlist queries on dnd
 Handle empty fields for Grl.Media creation
 Extend asyncio use in playlists


Overview of changes in 49 beta
==============================

• Translation updates

Bugs fixed:
 Flatpak build fixes for Grilo changes (#648)
 Fix non-responsive window (#628)
 Fix covers not scaling with gtk 4.19
 Improve handling of failures in the art pipeline (#650)
 Add D-Bus service file (!1099)

Thanks to our contributors this release:
 Balló György
 Jean Felder
 Marinus Schraal


Overview of changes in 48.0
===========================

• Translation updates

Bugs fixed:
• Detect GIRepository version to use based on glib version
• Remove GIRepository import

Overview of changes in 48.beta
==============================

• Use PyGObject asyncio
• Support HiDPI covers
• Fix styling issues
• Improve search reliability

Bugs fixed:
 Show MRPIS art on delayed retrieval (#611)

Thanks to our contributors this release:
 Alireza Shabani
 Brage Fuglseth
 Jean Felder
 Marinus Schraal
 Tau Gärtli
 Walt Shabani


Overview of changes in 47.0
===========================

• Add track based ReplayGain setting

Bugs fixed:
 Expose ReplayGain settings (#594)

Thanks to our contributors this release:
 Alpesh Jamgade
 Marinus Schraal


Overview of changes in 46.1
===========================

• Fix search dropping the first character

Bugs fixed:
 Handle bad image formats graciously (#605)
 Fix first char dropping on search (#553)
 Fix PyGObject change fallout
 Incorrect/missing URLs in app metadata (#599)

Thanks to our contributors this release:
 Andre Klapper
 Debanga Sarma
 Marinus Schraal
 Michael Catanzaro
 Vaishnavi Nawghare


Overview of changes in 46.0
===========================

• Translation updates


Overview of changes in 46.beta
==============================

• Ported to Adwaita 1.4 and 1.6 widgets
• Songs view removed
• Preferences dialog added
• Dropped old-style selection mode

Bugs Fixed:
 Port to new libadwaita widgets (#579)
 Remove GOA use and LastFM support (#584)
 Fix Tracker 3 queries (#578)
 Fix jumping scrolling (#580)
 Replace StarImage with StarToggle (#497)
 Improve texture scaling (#513)
 Add preferences dialog (#471)
 Improve player duration query handling (#449)
 Remove Songs view (#570)
 Improve 'Recently Played' query (!1047)
 Improve appdata (!1026)

Thanks to our contributors this release:
 Carlos Garnacho
 Jean Felder
 Feliks Weber
 Marinus Schraal
 Mpho Jele
 Radek Crlík
 Sabri Ünal
 Shema Angelo Verlain
 Tobias Bernard
 Vincent Cottineau


Overview of changes in 45.0
===========================

• Minor quality of life improvements

Thanks to our contributors this release:
 Carlos Garnacho
 Jean Felder
 Harold Knowlden
 Marinus Schraal

Updated or added translations:
 Abkhazian
 Romanian
 Italian
 Turkish
 British English
 French
 Hungarian
 German
 Hebrew
 Ukrainian
 Greek
 Slovenian
 Belarusian
 Russian
 Portuguese
 Chinese (China)
 Polish
 Finnish
 Spanish
 Indonesian
 Galician
 Basque
 Occitan
 Georgian
 Kazakh
 Swedish
 Czech
 Punjabi
 Korean
 Dutch
 Lithuanian
 Danish
 Catalan
 Latvian


Overview of changes in 44.0
===========================

• Update appdata for the 44.0 release

Overview of changes in 44.rc
============================

• Shortcuts menu cleanups
• Misc focus fixes in album widgets
• Decrease memory usage in SongsView

Bugs Fixed:
 SongView popup is a memory hog (#495)
 Shuffle on/off mixup (#543)
 Default template for issues (#525)

Thanks to our contributors this release:
 Andre Klapper
 Automeris Naranja
 Ezike Ebuka
 Jean Felder
 Marinus Schraal
 Sabri Ünal


Overview of changes in 44.beta
==============================

• Make shuffle shuffle again
• Fix time display in RTL languages
• Port to soup 3
• Port about to AdwAboutWindow
• No longer mismatch art on scrolling
• Fix async queue block on fresh art retrieval
• Use new GNOME Settings app id in flatpak
• Fix welcome image rendering

Bugs fixed:
 Rework ArtStack to handle cycling widgets better (#500)
 Shuffle broken in Music 42 (#515)
 Time is reversed in RTL (#509)

Thanks to our contributors this release:
 Carlos Garnacho
 Christopher Davis
 Georges Basile Stavracas Neto
 Jean Felder
 Marinus Schraal
 Yosef Or Boczko

Updated or added translations:
 Abkhazian
 Basque
 Belarusian
 Brazilian Portuguese
 Bulgarian
 Catalan
 Chinese (China)
 Chinese (Taiwan)
 Croatian
 Czech
 Danish
 Dutch
 Finnish
 French
 Friulian
 Galician
 Georgian
 German
 Greek
 Hebrew
 Hungarian
 Icelandic
 Indonesian
 Kazakh
 Korean
 Latvian
 Lithuanian
 Nepali
 Occitan
 Persian
 Polish
 Portuguese
 Russian
 Serbian
 Slovak
 Slovenian
 Spanish
 Swedish
 Turkish
 Ukrainian


Overview of changes in 42.0
===========================

• GTK-4 regression fixes

Bugs fixed:
 App title untranslated (#510)

Thanks to our contributors this release:
 Fabian Bornschein
 Georges Basile Stavracas Neto
 Jean Felder
 Marinus Schraal
 Sophie Herold

Updated translations:
 Ukrainian
 Portuguese
 Brazilian Portuguese
 Indonesian
 Catalan
 Russian
 Chinese (China)
 Lithuanian
 Hebrew
 Czech
 Persian
 French
 Turkish
 Finnish
 Spanish
 Galician
 Slovak
 Slovenian
 Polish
 Basque
 Swedish
 Korean
 Croatian
 Danish
 Bulgarian
 Hungarian
 Kazakh
 Japanese
 Serbian
 German
 Occitan
 Norwegian Bokmål
 Italian


Overview of changes in 42.beta
==============================

• Port to GTK-4
• Dark mode switching

Bugs fixed:
 Fix slow startup (!923)

Thanks to our contributors this release:
 Christopher Davis
 Jakub Steiner
 Jean Felder
 Koushik Sahu
 Marinus Schraal
 Michael Catanzaro
 Sam Hewitt
 Sophie Herold

Updated translations:
 Danish
 Icelandic
 Swedish
 Russian
 Indonesian
 Catalan
 Friulian
 Latvian
 Frisian
 Bulgarian
 Serbian
 Vietnamese


Overview of changes in 41.0
===========================

Updated translations:
 Basque
 Spanish
 Croatian
 German
 Occitan
 Danish
 Polish
 Hungarian
 Hebrew
 Dutch
 Belarusian
 Turkish

Overview of changes in 41.rc
============================

• Touch-ups for the new design
• Async improvements

Bugs fixed:
 Fix duplicated playlist song removal (#469)
 Fix flowbox selection state (#460)

Thanks to our contributors this release:
 Marinus Schraal
 Mpho Jele

Updated translations:
 Indonesian
 Ukrainian
 Swedish
 Czech
 Spanish
 Basque
 Catalan
 Brazilian Portuguese
 Galician
 Finnish
 British English
 Kazakh
 Slovenian
 Slovak
 Frisian
 French
 Korean
 Persian
 Greek
 Lithuanian
 Romanian
 Chinese (China)

Overview of changes in 41.beta
==============================

• Implemented much of the new design mockups
• Update initial state art

Thanks to our contributors this release:
 Christopher Davis
 Georges Basile Stavracas Neto
 Jakub Steiner
 Jean Felder
 Lucy Coleclough
 Marinus Schraal
 Rafael Coelho
 Sabri Ünal
 Vineet Reddy

Updated translations:
 Vietnamese
 Hebrew
 Dutch
 Ukrainian
 Swedish
 Occitan
 Spanish
 Indonesian
 Russian
 Slovenian
 Romanian
 Brazilian Portuguese
 German
 Turkish
 Catalan
 Friulian
 Chinese (China)
 Portuguese

Added translation:
 Frisian


Overview of changes in 40.0
===========================

• Update appdata for the 40.0 release

Overview of changes in 40.rc
============================

• Improve startup loading
• Misc playlist handling fixes
• Use publication date instead of creation date for songs

Bugs fixed:
 Scrobbling crash (#412, !769)
 Fix artist queries to retrieve art (!773)
 Ignore redundant Tracker delete events (!781)
 Fix album selection checkboxes style (#414)
 Fix playlist deletion (!793, !813)
 adding songs to favorite crashes the app (#441)
 GNOME Music crashes during startup: discbox is None (#430)
 Crash when creating a playlist containing a quotation mark (#447)

Thanks to our contributors this release:
 James A. Baker
 Jean Felder
 Marinus Schraal
 Yann Delaby

Updated translation:
 British English
 Catalan
 Chinese (Taiwan)
 Danish
 Friulian
 Galician
 Hebrew
 Norwegian Bokmål
 Punjabi
 Romanian
 Slovak

Overview of changes in 3.38.0
=============================

Updated translations:
 Danish
 Greek
 Hungarian
 Italian
 Latvian
 Portuguese

Overview of changes in 3.37.92
==============================

* Port to Tracker 3
* Art retrieval complete rework
* Flatpak cleanups and updates

Bugs fixed:
 gnome-music gets stuck when next button is pressed when current song is about to finish (#375)
 Selection mode search doesn't work (#405)
 Selecting an album in albums view in selection mode randomly deselects other albums (#406)
 Selection mode only works for artists during search (#407)
 Music crashed if gnome-online-accounts is unavailable (#410)
 MPRIS playlist fixes (!741)
 Gracefully handle locale.{bind,}textdomain not being available (!735)

Thanks to our contributors this release:
 Adam Blanchet
 Carlos Garnacho
 Chinmay Gurjar
 Jean Felder
 Marinus Schraal
 Piotr Drąg
 Rasmus Thomsen
 Sam Thursfield
 Simon McVittie

Updated translation:
 Basque
 Brazilian Portuguese
 Catalan
 Chinese (China)
 Croatian
 Czech
 Dutch
 Finnish
 French
 Friulian
 Galician
 German
 Indonesian
 Japanese
 Kazakh
 Korean
 Lithuanian
 Persian
 Polish
 Serbian
 Slovak
 Slovenian
 Spanish
 Swedish
 Turkish
 Ukrainian

Overview of changes in 3.37.3
=============================

Bugs fixed:
 pauseonsuspend: Fix calls to MusicLogger.warning() (!724)
 Duplication of menu bar (#387)
 High CPU usage (#360)
 Bind more SongWidget properties (!663)

Thanks to our contributors this release:
 Evan Nehring
 Jean Felder
 Marinus Schraal
 Nils Reuße

Updated translation:
 Kazakh

Overview of changes in 3.37.2
=============================

* Use Gtk.Template for all the Views and remove BaseView
* Prefer Albumartist field for artist search
* Change Artist view selection from artist to song
* Extend Gtk.Template usage for Window
* Deinitialize Grilo on shutdown
* Music now explicitly depends on Pango 1.44 or above
* Flatpak cleanups and updates
* Various widgets style and code cleanups

Bugs fixed:
 Artist view should support music selection (#26)
 In-app notifications need to be dismissable (#259)
 Stop using show_all (#320)
 Crash while searching due to bugs in searchview.py (#372)
 Crash on start: object 'AttrFontFeatures' has no attribute 'new' (#374)
 Wrong song count in favourite playlist (#376)
 Please stop changing the module search path (#377)
 Use libsoup for art retrieval (#378)
 Music crashes on 'check_smart_playlist_change' call (#382)

Thanks to our contributors this release:
 Ashwani Singh Tanwar
 Atharva Veer
 Chinmay Gurjar
 Erik Inkinen
 Evan Nehring
 Jean Felder
 Marinus Schraal
 Weifang Lai

Added translations:
 Ukrainian

Updated translations:
 Catalan
 Chinese (China)
 Chinese (Taiwan)
 Hebrew
 Norwegian Bokmål
 Romanian
 Russian
 Slovak
 Slovenian
 Ukrainian

Overview of changes in 3.36.0
=============================

Updated translations:
 Italian
 German
 Dutch

Overview of changes in 3.35.92
==============================

• Restore smart playlists update
• Improve Tracker content tracking
• Flatpak cleanups and updates

Bugs fixed:
 Properly load Grilo Tracker plugin (!650)
 Stop a deleted playlist if it is playing (!661)
 Misc playlists fixes  (!654)
 Flatpak: remove unused dleyna support (!644)
 flatpak assorted fixes (!645)

Thanks to our contributors this release:
 Georges Basile Stavracas Neto
 Jackson Campolattaro
 Marinus Schraal
 Jean Felder

Updated translations:
 Brazilian Portuguese
 British English
 Catalan
 Chinese (Taiwan)
 Croatian
 Czech
 Danish
 Finnish
 French
 Galician
 Hungarian
 Korean
 Indonesian
 Lithuanian
 Persian
 Polish
 Serbian
 Spanish
 Swedish
 Turkish

Overview of changes in 3.35.91.1
================================

Bug fixed:
 Possible crash on warning (!643)

Overview of changes in 3.35.91
==============================

• Use natural order for sorting
• Expose Last.fm scrobbler in the UI
• Add local runtime cache for scrobbling
• Add GLib style logging and remove old logging and debug switch

Bugs fixed:
 Sort albums title containing digits numerically (#22)
 PlaylistsView: select the next playlist on deletion (#359)
 Expose scrobbling support (#218)
 Switching to playlist gives an empty view (#348)
 Use tabular numbers for song duration (!623)
 Crash after select all items (#364)
 Deleting an empty playlist crashes (#365)
 Disable selection button in Playlist View while searching (#366)
 Help overlay remove Ctrl+F1 shortcut (!643)

Thanks to our contributors this release:
 Use Alexander Mikhaylenko
 Chinmay Gurjar
 Jean Felder
 Marinus Schraal
 Sabri Ünal

Translation added:
 Malay

Updated translations:
 Greek
 Indonesian
 Spanish
 Slovak
 Chinese (Taiwan)
 Finnish
 Friulian
 Brazilian Portuguese
 Italian
 Swedish
 Croatian
 Persian
 Lithuanian
 Japanese
 Basque
 French
 Turkish
 Czech
 British English
 Serbian
 Galician

Overview of changes in 3.35.3
=============================

* Improve Tracker content tracking
* Update appdate screenshots

Bugs fixed:
 F1 key is not opening help page (#353)
 Play on empty playlist crashes Music (#354,#355)
 Crash when pressing Alt+Left in SearchView (#357)
 Update the appdata screenshots (#327)

Thanks to our contributors this release:
 Ishaan Shah
 Jean Felder
 Marinus Schraal

Added translations:
 Basque
 Indonesian

Updated translations:
 Chinese (Taiwan)
 Ukranian
 Brazilian Portuguese
 Galician

Overview of changes in 3.35.2
=============================

* Album Covers are now loaded on demand
* Use MusicBrainz identifiers to download album covers
* Restore support for "Album Artist" tag
* Disable online search by default
* Restore MPRIS playlist support and misc MPRIS cleanups
* Playlist fixes
* Bring back loading notifications
* Nightly application icon

Bugs fixed:
 Fix a crash in Last.fm support (#328)
 GNOME shell MPRIS controls are not visible (#332)
 PlayerToolbar can become invisible (#335)
 Issues when resizing window below apparent minimum width (#337)
 GNOME music crashes after creating a huge amount of threads (#312)
 GNOME Music crashes if xdg_music_dir is not set (#338)
 group artists with a feat or an original artist under the same artist (#331)
 Songs Not in ~/Music Show Up In Search (#317)
 Fix visual glitches (#300)
 Use pkglibdir for gfmlibdir (!509)
 Limit smartplaylist content to XDG Music dir (#311)
 Crash when removing GOA account (#145)
 Model fixes (!557, !552, !533, !499)
 Fix icon rendering issues (!543)
 Selection fixes (!528)
 Restore the development style (!563)

Thanks to our contributors this release:
 Jean Felder
 Sam Hewitt
 Marinus Schraal
 Jan Alexander Steffens
 Jakub Steiner
 Sumaid Syed
 Sam Thursfield

Added translations:
 Tamil

Translations updated:
 Catalan
 Danish
 Dutch
 Friulian
 Persian
 Spanish

Overview of changes in 3.34.0
=============================

This release marks the first stable release after a invasive rewrite of Music
internals and may still be rough around the edges. Regressions and known issues
are kept track of in #299, further issue reports are welcome.

* A flatpak issue with cover art retrieval was fixed

Thanks to our contributors this release:
 Jean Felder

Tranlations updated:
 Japanese
 Italian

Overview of changes in 3.33.92
==============================

This release contains even more bug fixes and cleanups following the core
rewrite. Regressions and known issues are kept track of in #299, further testing
and issue reports are welcome.

Thanks to our contributors this release:
 Hugo Posnic
 Piotr Drąg
 Jean Felder
 Marinus Schraal

Translations updated:
 Indonesian
 Karb
 Basque
 Swedish
 Finnish
 Romanian
 Lithuanian
 Spanish
 Catalan
 Polish
 Serbian
 German
 Latvian
 Slovenian
 Hungarian
 Galician
 Korean
 British English
 Turkish
 French
 Greek
 Catalan
 Brazilian Portuguese
 Czech
 Croatian

Overview of changes in 3.33.90
==============================

This release contains a lot of bug fixes following the rewrite of the core of
Music. This work is not yet complete, but the overall state should be
improved. Regressions and known issues are kept track of in #299. Further
reports are welcome.

Some other things were worked on as well:
* Search view rewrite and style update
* Display an empty view if Tracker version is outdated

Thanks to our contributors this release:
 Piotr Drąg
 Jean Felder
 Marinus Schraal

Added translations:
 Karbi

Translations updated:
 Portuguese
 Basque
 Spanish
 Romanian
 Swedish

Overview of changes in 3.33.4
=============================

This release contains a rewrite of the core of Music. This work is not yet
complete, but should be in a usable state. Regressions and known issues are
kept track of in #299. Further reports are welcome.

Some other things were worked on as well:
* Support gapless playback
* MPRIS support rewrite
* Playlists rewrite

Thanks to our contributors this release:
 Georgers Basile Stavracas Neto
 Jean Felder
 Jesus Bermudez Velazquez
 Marinus Schraal

Translations updated:
 Hungarian
 Greek
 Dutch
 Croatian
 Swedish
 Slovenian
 Icelandic

Overview of changes in 3.33.2
=============================

* Improve Smooth progressbar support
* Improve display of information for songs with no tags
* Select a random song at launch when playing a playlist in shuffle mode
* AppData tags update (initiative #8)
* MPRIS misc cleanups
* Lots of general cleanups

Bugs fixed:
 gnome-music crashes on startup (#105)
 Stop using GtkBox:padding, GtkBox:fill and GtkBox:expand (#215)
 Do not rely on Tracker generated metadata (#223)
 MPRIS2 reports wrong .desktop file name (#263)
 Crash with mouse 'back' button (#265)
 Repeat song not working on Gnome Music 3.32.0 (#266)
 Order of search and select buttons incorrect (#270)
 flatpak nightly: Clicking on MPRIS player launches wrong version (#273)
 Incorrect timeline (progress bar) position for m4a file (#274)
 HeaderBar in selection mode has the search/cancel button order wrong (#275)
 Repeat All Does Not Repeat Single Songs From Search (#278)
 Resuming Playback Actually Restarts Song (#280)

Thanks to our contributors this release:
 Christopher Davis
 Reuben Dsouza
 Bilal Elmoussaoui
 Jean Felder
 Andre Klapper
 Kalev Lember
 Marinus Schraal
 Veerasamy Sevagen
 Georges Basile Stavracas Neto
 Sumaid Syed

Translation updated:
 Chinese (China)
 Chinese (Taiwan)
 Croatian
 Esperanto
 Friulian
 Hungarian
 Indonesian
 Italian
 Polish
 Portuguese (Brazil)
 Romanian
 Spanish
 Swedish

Overview of changes in 3.32.0
=============================

Translations updated:
 Finnish
 Catalan
 French

Overview of changes in 3.31.92
==============================

Bugs fixed:
 Fix initial state graphics in dark mode (#258)

Thanks to our contributors this release:
 Tjipke van der Heide
 Veerasamy Sevagen

Translations updated:
 Turkish
 Finnish
 Icelandic
 Dutch
 Lithuanian
 Basque
 Brazilian Portuguese
 Korean
 Italian
 Russian
 Serbian
 Friulian
 German
 Vietnamese
 Latvian

Overview of changes in 3.31.91
==============================

* Show an empty view when Tracker is unavailable

Bugs fixed:
 Play correct song while paused (#256)
 Show a warning when Tracker is not available (#165)
 Cannot cancel 'All' sources in search via button (#92)
 Crashes when trying to play any song (#244)
 Crash while tracks are being loaded (#252)

Thanks to our contributors this release:
 Jean Felder
 Marinus Schraal
 Sagar Lakhani

Translations updated:
 Czech
 Polish
 Spanish
 Romanian
 Hungarian
 Swedish
 Indonesian
 Slovenian
 Galician
 Kazakh
 Danish
 Chinese (Taiwan)

Overview of changes in 3.31.90
==============================

* Add pause on suspend
* Rework and cleanup MPRIS a lot
* Use new Adwaita devel styling
* Partial port to Gtk.EventController
* Set error style on searchbar entry if applicable

Bugs fixed:
 Limit composer length (#222)
 Fix keyboard shortcuts (#238)
 Correct MPRIS positioning (#227)
 Fix playlist renaming (#248)
 Fix Tracker criticals (#251)
 Fix popover positioning (#214)
 Pause when suspending (#68)
 Add error state for searchbar entry (#228)

Thanks to our contributors this release:
 Christophe van den Abbeele
 Christopher Davis
 Harry Xie
 Jean Felder
 Jordan Petridis
 Marinus Schraal
 Mohanna Datta Yelugoti
 Nikolay Yanchuk

Translations updated:
 Czech
 Slovenian
 Esperanto
 Spanish
 French
 Greek
 Friulian
 Swedish
 Hungarian
 Galician
 Romanian
 Indonesian
 Italian
 Finnish
 Turkish
 Polish
 Catalan
 Hungarian

Overview of changes in 3.31.1
=============================

* Replace app menu with Primary menu (initiative #4)
* Add TheAudioDB for coverart lookup
* Dark mode fixes
* Fix crash on opening help
* New app icon (initiative #2)
* Flatpak fixes

Bugs fixed:
 Fix checkbox selection (!245)
 Set application id correctly (!241)
 Add The AudioDB support (!247)
 Fix search dissapearing on return from child (!253)
 Clean up data dir (#193)
 mpris: Prevent crash from play call with no playlist (!255)
 application: Fix crash on opening help (#22)
 Darkmode fixes (!269,!271)
 repeat-mode fixes (!274)
 Restart remote cover lookup on source availability (!284)
 ui: Change arrow menu button icons (#233)

Thanks to our contributors this release:
 Christopher Davis
 Islam Bahnasy
 Jakub Steiner
 Jean Felder
 Marinus Schraal
 Shivansh Handa
 Tapasweni Pathak

Translations updated:
 Serbian

Overview of changes in 3.30.0
=============================

Translations updated:
 Galician
 Hungarian
 Vietnamese
 Latvian
 Croatian
 Danish

Overview of changes in 3.29.92
==============================

* Make static playlists more reliable
* Populate views on demand (improves startup)
* Fix player toolbar song/artist order
* Switch view navigation from <Ctrl> to <Alt>
* Add tooltips in more places
* Style treeview stars
* Lots of cleanups and reliability fixes

Bugs fixed:
 Fix Flatpak delayed loading (!239)
 Style treeview stars with CSS (!238)
 Use alt instead of ctrl for navigating tabs (#198)
 Do not allow view switching in all modes (!237)
 Introduce loading state (!233)
 grilo: Fix crash when Tracker is not (yet) loaded (!230)
 Populate views when opened (!232)
 views: Fix now-playing icon display (#203)
 On last play done, first song gets notified (#60)
 Shuffle shouldn't replay songs (#154)
 playlistview: improvements and bugfixes (!227,!229)
 meson: Do not add version suffix on default build (!228)

Thanks to our contributors this release:
 Jean Felder
 Marinus Schraal

Translations updated:
 Swedish
 Friulian
 Brazilian Portuguese
 Finnish
 Icelandic
 Romanian
 Kazakh
 Korean
 Indonesian
 Italian

Overview of changes in 3.29.91
==============================

* Finished moving the existing ui to use Gtk.Template
* Added some minor transitions going to selection-mode
* Add OARS tag
* Reword application description

Bugs fixed:
 Wait for last album to load (#174)
 appdata: Add OARS tag & reword description (!177)
 disable sidebar stack transition (!206)
 playlistview: Add translator context to Play menu (!211)
 add GOA dependency (#212)
 use Gtk.Template for AlbumCover (#183)
 tarball fails to build (#211)
 use Gtk.Template for About dialog (#183)
 App-bundles selection-mode headerbar color incorrect (#208)
 Use Gdk.Event accessors (#213)
 Add SidebarRow widget (!221)
 use Gtk.Template for Searchbar and move to widgets (!226)

Thanks to our contributors this release:
 Alexander Mikhaylenko
 Jean Felder
 Jordan Petridis
 Marinus Schraal
 Nick Richards
 Piotr Drąg
 Tyler Garcia

Translations updated:
 Spanish
 Slovenian
 German
 Polish
 Turkish
 Czech
 Lithuanian
 Chinese (Taiwan)
 Greek

Overview of changes in 3.29.90
==============================

* Lots of widgets ported to use Gtk.Template
* Added development app bundles to CI
* Codebase wide cleanups and refactoring
* Port sidebars away from libgd views

Bugs fixed:
 Using keyboard reveals the playerbar in in selection mode (#197)
 High contrast theme not folled for sidebars (#37)
 Right click to select Albums is inconsistent (#89)
 Flatpak + CI devops (#185)
 Music goes into an endless loop (#200)
 artistalbumswidget: missing attribute artist (#199)
 searchmode: Leaving selection mode with Escape dismisses search results (#195)
 Hard transition when entering selection mode (#27)

Thanks to our contributors this release:
 Apostol Bakalov
 Jean Felder
 Jordan Petridis
 Marinus Schraal
 Piotr Drąg

Translations updated:
 Czech
 Chinese (China)
 Spanish
 Chinese (Taiwan)
 Romanian
 Friulian
 Catalan
 Slovenian
 German
 French
 Greek

Overview of changes in 3.29.2.1
===============================

* Add release commit to dist tarball

Overview of changes in 3.29.2
=============================

* Update appdata
* Fix issue with untranslated UI elements
* CI use flake8 instead of pep8 & pyflakes
* CI generate flatpak bundles for every commit and MR
* Use libsoup for http requests
* Use CSS styling instead of widget attributes
* Merge emptystate views
* Add optional suspend inhibition gsetting
* Cleanup and split of Player and Toolbar classes
* Numerous miscellaneous cleanups

Bugs fixed:
 Partly untranslated user interface (#169)
 albumartcache: Do not close non-existing stream on error (!95)
 albumartcache: Fix possible lookup loop (!95)
 albumartcache: Do not send two signals on error (!95)
 Minor optimizations (!138)
 flatpak: Enable MPRIS and GNOME media keys (!129)
 notificationspopup: Fix source not found warning (!131)
 Ellipsized songs in Artists View are improperly aligned (#173)
 Fix notification calls on startup (!147)
 grilo: Fix audio check (!159)
 AlbumsView: Fix runtime updates still triggering
 [playlist dialog] implement empty state dialog (#74)
 Default search does not search in composer field (#140)
 SearchView does not use the same model as other views (#160)
 Use CSS style instead of html markup to color text (#163)
 Fix Running Length label translation in AlbumViewWidget (#177)
 local searchtag not removed when doing non-local searches (#130)
 Replace requests usage with libsoup (#144)
 Use DzlBoldingLabel for TrackWidget (#178)
 player: Add optional inhibition of system suspend (#182)
 Pressing escape when renaming a playlist does not cancel rename (#188)

Thanks to our contributors this release:
 Ashwin Mohan
 Apostol Bakalov
 Jean Felder
 Marinus Schraal
 Adrian Solom
 Juan José González
 Bruce Cowan
 Alexander Mikhaylenko
 Subhadip Jana
 Georges Basile Stavracas
 Piotr Drąg

Translations updated:
 Danish
 Croatian
 Greek
 British English
 Turkish
 Russian
 Slovenian
 Romanian
 Friulian
 Czech
 Indonesian
 Spanish

Overview of changes in 3.27.92
==============================

* Port to Meson
* Lots of fixes to the flatpak json
* Fixes to playlists behaviour
* Fix some shortcut logic
* Fix issue with bluetooth headset input
* Delayed loading of covers in albumsview to decrease startup time
* Lots of general cleanups
* Update to latest libgd

Bugs fixed:
 Music won't build from flatpak (#138)
 Disable last.fm scrobbling if Music is disabled in GOA (#139)
 playlistview: Remove obsolete column renderer (!61)
 albumsview: Use correct checkbox style (!68)
 playlistview: Only show icons for playing playlists (#149)
 query: Filter out on-disk playlist formats (#72, #151)
 Replace logger.warn with logger.warning (#153)
 Switch to meson build system (#1)
 window: Handle Gdk Audio keys (#93)
 window: Restore selection popup functionality (#152)
 meson: Add fallback in case XDG_DATA_DIRS is not set (!85)
 Deleting a playlist does not stop the player (#156)
 Follow up searches do not trigger an actual search (#148)
 Changing playlist resets player model (#136)

Thanks to our contributors this release:
 Benoît Legat
 Bilal Elmoussaoui
 Georges Basile Stavracas Neto
 Janne Körkkö
 Jean Felder
 Marinus Schraal

Translations updated:
 Swedish
 Spanish
 Friulian
 Polish
 Indonesian
 Catalan
 Chinese (Taiwan)
 Brazilian Portuguese
 Galician
 Croatian
 Finnish
 Dutch
 German
 Hungarian
 Slovak
 Serbian
 Korean
 Croatian
 Italian
 Czech
 French
 Vietnamese
 Scottish Gaelic
 Lithuanian
 Kazakh
 Latvian

Overview of changes in 3.27.90
==============================

* Lots of cleanup/refactoring
* Moved to Gitlab
* Add album scrobbling
* Dropped some more libgd use
* Add context menu to interact with playlist items
* Drag and drop reorder in playlists
* Add album scrobbling
* Rework notifications
* Rework art cache
* CI fixes
* Last bits of HiDPI support

Bugs fixed:
 Clicking on cancel button from selection bar crashses music (#142)
 Crashed when trying to play music over UPnP (#46)
 Playlists are not displayed (#127)
 Fix deprecated accelerator call (#2)
 Crash during startup in albumart lookup (#121)
 Use stack for covers in player (#55)
 Finish HiDPI support (#65)
 Scale art more efficiently (#81)
 Playlist not deleted after close (#106)
 Allow undo on playlist track removal (#50)
 Fix artist/album search return all songs (#4)
 Replace deprecated override_color call (#3)
 Allow access to host cache from flatpak (!15)
 Reset song to clean on new playlist (#135)
 Use context menu on playlist tracks (#48)
 Replace deprecated add_accelerator call (#2)
 Console spam on startup related to Spotify (#132)

Thanks to our contributors this release:
 Alberto Fanjul
 Felipe Borges
 Gyanesh Malhotra
 Jean Felder
 Marinus Schraal
 Subhadip Jana

Translations updated:
 German
 Polish
 Friulian
 Indonesian
 Finnish
 Swedish
 Catalan
 Hungarian
 Esperanto

Overview of changes in 3.27.4
=============================

Bugs fixed:
 Migrate from intltool to gettext (#787272)
 Add appstream metadata to non-deprecated location (#790869)
 Playlist ordering in views (#772090)
 Fix style of GdTaggedEntry (#791077)
 PEP-8 fixes & cleanups (#791481,!7,!9,!10,!17,!18)
 Update libgd (!8)
 Fixes to navigating back (#777238)
 Enable mouse button for navigating back (#771934)
 Fix constructor deprecation warning (#790127)
 Fix PyGObject deprecation warning (#788701)
 Fix order in method call (!21)
 Fix log decorator order (!22)
 Use python3 style super() calls (!16)
 DiscListBoxWidget update favourites (!23)
 Add the ability to rename playlists (!11)
 Update README.md (!12)

Thanks to our contributors this release:
 Abhinav Singh
 Florian Darfeuille
 Jean Felder
 Jeremy Bicha
 Kainaat Singh
 Marinus Schraal
 Niels De Graef
 Phil Dawson
 Piotr Drąg
 Sambhav Kothari

Translations updated:
 Dutch
 Romanian
 Icelandic
 Persian
 Catalan (Valencian)
 German
 Czech
 Friulian
 Norwegian bokmål
 Croatian
 Indonesian
 Serbian
 Swedish

Overview of changes in 3.26.0
=============================

Translations updated:
 Catalan
 French
 Romanian
 Danish

Overview of changes in 3.25.92
==============================

Bugs fixed:
 786454 Wrong player.set_playlist call in albumwidget.py
 780548 Problem scrolling albums on wayland
 709073 Different icon in System Settings Sound pane

Thanks to our contributors this release:
 Jan-Michael Brummer
 Jean Felder
 Marinus Schraal
 Robert Greener

Translations updated:
 Croatian
 Italian
 Danish
 Vietnamese

Overview of changes in 3.25.91
==============================

Bugs fixed:
 786541 Add missing logger imports
 786315 Make the playlist button a circle

Thanks to our contributors this release:
 Jean Felder
 Jordan Petridis

Translations updated:
 Polish
 French

Overview of changes in 3.25.90
==============================

* Limit concurrent loading of coverart
* Fixes to appdata
* Use tracker:title-order for sorting

Bugs fixed:
 783466 query: Use tracker:title-order() SPARQL function for title sorting
 785697 Remove comments from org.gnome.Music.json

Thanks to our contributors this release:
 Carlos Garnacho
 Felipe Borges
 Georges Basile Stavracas Neto
 Kalev Lember
 Marinus Schraal
 Piotr Drąg

Translations updated:
 Turkish
 Croatian
 Czech
 Malayalam

Overview of changes in 3.25.4
=============================

* Build: depend on libtracker-sparql-2.0
* Add Flatpak manifest
* Mark forgotten string for translation

Bugs fixed:
 776668 fix minor seek stutter
 774500 refactor gnome-music.in to be more readable
 781684 playlistview artist field incorrect
 777346 allow seek using arrow keys
 781754 fix media-player-keys bus name

Thanks to our contributors this release:
 Abhinav Singh
 Carlos Garnacho
 Carlos Soriano
 Felipe Borges
 Marinus Schraal
 Pablo Palácios
 Piotr Drąg

Translations updated:
 Belarusian
 Slovenian
 Polish
 Indonesian


Overview of changes in 3.24.1.1
===============================

* Revert desktop file rename
* In turn revert Flatpak manifest addition

Overview of changes in 3.24.1
=============================

* Add Flatpak manifest
* Fix crashers
* Up Grilo requirements

Bugs fixed:
 780523 playlist dialog shows the playlist that is going to be deleted
 779905 build: Add a first version of Flatpak manifest

Thanks to our contributors this release:
 Abhinav Singh
 Carlos Soriano
 Marinus Schraal

Translations updated:
 Portuguese
 Norwegian bokmål
 Greek
 Croatian

Overview of changes in 3.24.0
=============================

Translations updated:
 Russian
 Latvian
 Brazilian Portuguese

Overview of changes in 3.23.92
==============================

* Code cleanups
* Local art retrieval added
* AppData screenshots updated

Bugs fixed:
 779013 only one (older) screenshot in appdata file
 779585 Window is wider than 1024px
 777041 Unexpected behaviour of playlist notification actions, sometimes
        deletes, sometimes not
 776668 double click on seek bar pauses the songs
 779052 MPRIS TrackList GoTo Method Crashes gnome-music
 779584 Handle coverart extraction in gnome-music

Thanks to our contributors this release:
 Abhinav Singh
 Andreas Nilsson
 Carlos Garnacho
 Marinus Schraal

Translations updated:
 Hungarian
 Slovak
 Serbian
 Galician
 Lithuanian
 Italian
 Czech
 Polish
 Danish
 Scottish Gaelic
 Occitan
 French
 Korean
 Indonesian
 Basque
 Icelandic
 Swedish
 Chinese (Taiwan)
 Finnish

Overview of changes in 3.23.91
==============================

* Code cleanups

Bugs fixed:
 774470 Use song instead of track in the source codebase
 774449 Cleanup baseview.py

Thanks to our contributors this release:
 Marinus Schraal
 Rashi Sah
 Suyash Garg

Translations updated:
 Finnish
 Kazakh
 Danish
 Norwegian bokmål
 Slovak
 Polish
 Basque
 Indonesian
 Italian
 Hungarian
 Catalan
 Friulian
 Ukrainian
 German
 Brazilian Portuguese
 Serbian
 Spanish

Overview of changes in 3.23.90
==============================

* Empty-state added for playlist dialog
* Cleanups

Bugs fixed:
 772089 [playlist dialog] implement empty state dialog
 776680 'Select All' doesn't have an action in Artists tab
 777541 Crashes as soon as trying to play a song
 777219 PEP 8 fix : application.py

Thanks to our contributors this release:
 Abhinav Singh
 Alberto Fanjul
 Marinus Schraal
 Yash Singh

Translations updated:
 Czech
 Indonesian
 German
 Turkish
 Catalan
 Polish
 Slovak
 Friulian

Overview of changes in 3.23.4
=============================

* Revamp notifications and drop GdNotification
* More cleanups

Bugs fixed:
 776157 Improve notifications' interaction
 776849 Gnome-music crashes on clicking "select all" in album
 777127 Pressing back after no search results from single album view leads to
        force close
 777235 Pressing back button when searching through a subview, should turn
        search off and go back
 777216 PEP 8 fix : __init__.py
 776673 Recompile resources when builddir is not same as srcdir
 772975 In a playlist repeatSong/shuffle/repeatSong take effect from the next
        song

Thanks to our contributors this release:
 Abhinav Singh
 Alberto Fanjul
 Georges Basile Stavracas Neto
 Marinus Schraal
 Sambhav Kothari

Translations updated:
 Finnish
 Kazakh
 Spanish

Overview of changes in 3.23.3
=============================

* Start to use Grilo for storing metadata
* Rework starring widget
* DistListBox improvements
* Stop walking directories for no reason
* Finish move to tracker async calls

Bugs fixed:
 774754 Use correct Grilo property for favourite tracking
 772689 Use tracker async queries
 775759 create_playlists cursor_callback method has a TypeError
 775930 Correct error variable names

Thanks to our contributors:
 Carlos Garnacho
 Georges Basile Stavracas Neto
 Marinus Schraal
 Sambhav Kothari
 Yash Singh

Translations updated:
 German
 Hungarian
 Russian

Overview of changes in 3.23.2
=============================

* Rely on Cairo for cover scaling
* Smooth progressbar
* Make more tracker calls async
* General cleanups
* Tackle long-standing issues with album separation

Bugs fixed:
 773478 artistviews: pep cleanup
 772263 Use unicode in translatable strings
 772698 async work
 774260 handle optional album-artist in queries
 774481 Add missing license header to gnome-music.in
 773769 songsview: pep cleanup
 772628 player: make progress scale  move smoothly

Thanks to our contributors:
 Carlos Garnacho
 Clayton G. Hobbs
 Marinus Schraal
 Pablo Palácios
 Piotr Drąg
 Suyash Garg
 Yash Singh

Translation updated:
 Czech
 Friulian
 Hungarian
 Norwegian bokmål
 Slovenian

Overview of changes in 3.23.1
=============================

* Rework art lookup
* Add HiDPI support (90% done)
* Add mnemonics
* Rework about dialog
* Split up views & widgets
* Rework the album widgets
* Show multi-disc albums as such
* Make playlist retrieval non-blocking
* Add composer label & search

Bugs fixed:
 761185 Help should use tag when referring to application names
 771348 Use | as I18N separator
 772403 Album art: also consider height when scaling
 765476 Crashes upon opening with a GLib error
 719452 Provide proper output if gobject-introspection-devel is missing
 773192 Fix playlists loading time
 705094 Display more details on Album view
 750827 Album views - if an album has multiple disks, group tracks by disk
 761891 Weird interaction selection mode + favourites

Thanks to our contributors:
 Carlos Garnacho
 Georges Basile Stavracas Neto
 Konstantin PospelovSebastian Rasmussen
 Marinus Schraal
 Sebastian Rasmussen

Translation updated:
 Basque
 Chinese (simplified)
 Chinese (Taiwan)
 Czech
 Danish
 Friulian
 German
 Italian
 Swedish

Overview of changes in 3.22.0
=============================

* Update mainters in doap

Translations updated:
 Ukrainian
 Catalan
 Scottish Gaelic
 Persian

Overview of changes in 3.21.92
==============================

* Fix keyboard play/pause handling
* Remove top separator in song lists
* Do not remove static playlists on Delete keypress

Bugs fixes:
 771249 Static playlists should not be removed using the Delete key
 770178 Remove the first Songs row separator
 754096 Space doesn't always toggle pause/play

Thanks to our contributors:
 Konstantin Pospelov
 Marinus Schraal
 Yash Singh

Translations updated:
 Danish
 Greek
 Latvian
 Galician
 Swedish
 Hebrew
 Vietnamese
 British English
 Lithuanian
 Kazakh
 Korean
 Friulian
 Serbian

Overview of changes in 3.21.90
==============================

* New keyboard shortcuts and a shortcuts window to go with it
* Move to cleanup the codebase style (PEP-8) & use docstrings, see README
* Better sorting in albums and artists view
* Playlist dialog enhanced with a 'new playlist' entry
* Move to GtkFlowBox for albums view, a significant performance improvement

Bugs fixed:
 761502 Include playlists from Music dir only & order static playlists on top
 766115 Return songs only once
 746447 Require tracker 1.8 for titled playlists
 765609 Fix mpris repeatmode
 761625 Cleanup artist/author ambiguity
 747953 Don't leak information over http through Grilo & unregister sources
 754700 Require Grilo 0.3.1 and use the album-artist key if available
 742531 Ignore punctuation when sorting albums and artists, requires tracker 1.9
 758637 Implement new keyboard shortcuts
 757833 Add GtkShortcut window
 769774 Fix sidelist shadow
 769772 Use GtkSearchBar for the searchbar + misc fixes
 744834 Add new playlist entry to playlist dialog + misc fixes
 760164 Use GtkFlowBox for albums view

Thanks to our contributors:
 Billy Barrow
 Carlos Garnacho
 Divyanshu Vishwakarma
 Elias Entrup
 Evandro Giovanini
 Felipe Borges
 Gaurav Narula
 Georges Basile Stavracas Neto
 Kevin Haller
 Marinus Schraal

Translations updated:
 Occitan
 Catalan
 Spanish
 French
 Friulian
 Slovak
 Czech
 Indonesian
 Brazilian Portuguese
 German
 Hungarian
 Finnish
 Polish
 Portuguese

Overview of changes in 3.20.2
=============================

Bugs fixed:
 705069 Port to Gio GDBUS API
 763618 Clarify jhbuild instructions in README
 755089 Emit playback-status-changed after playlist ends
 744820 Accept response on row-activated in Playlist Dialog
 765598 Bump Gtk+ minimum version to 3.19.3
 761961 Stop the player when destroying window

Translations updated:
 Swedish
 Friulian
 Esperanto
 Brazilian Portuguese
 Occitan

Overview of changes in 3.20.0
=============================

Translations updated:
 Danish
 Hungarian

Overview of changes in 3.19.92
==============================

Bugs fixed:
 762821 Update Grilo plugin ranks to 0.3 format
 761941 Fix Pango critical warnings on searchbar
 761890 Check if visible child is ArtistsAlbumsWidget on search toggle
 763304 Don't assume that nmm:MusicPieces will have a nie:url in playlists
 744821 Properly de/activate select button on PlaylistDialog when navigating w/ arrow keys
 744831 Fix crash while deleting multiple playlists
 a173f2 Update libgd

Translations updated:
 Occitan
 Korean
 Slovenian
 French

Special thanks to the new contributors:
 Gaurav Narula
 Marinus Schraal
 Prashant Tyagi
 Saiful B. Khan

Overview of changes in 3.19.91
==============================

Bugs fixed:
 744829 No more duplicate playlists on the sidebar
 762406 More Grilo 0.3 transition fixes
 762265 No more notifications on track changes

Translations updated:
 Slovak
 Occitan
 Ukrainian

Overview of changes in 3.19.90
==============================

Bugs fixed:
 761173 Update tracker queries to sparql 1.1 syntax
 760170 Fix check button appearance on AlbumWidget
 760170 Fix check buttons appearance in Songs and Playlist view
 736463 Reposition the scrollbar in the search window
 760171 Resized songs list for better viewing in large window

Translations updated:
 Latvian
 Bulgarian

Overview of changes in 3.19.4
=============================

Bugs fixed:
 Let GtkApplication automatically load the app-menu
 Refactor the way we connect menu actions
 758942 Use grilo 0.3 for GNOME 3.20
 758942 Fix deprecation warnings in GTK+
 Update libgd from master
 Scale the playlist name to match the mockups
 759024 Use the path of the filter model in search results
 739924 Make search find strings with accents
 759882 Fix warnings when switching between stack pages
 Add symbolic icon
 760033 Make albumart fetching truly asynchronous
 760033 Defer serialization of default icon
 760033 Set model on the view after all insertions happened
 760033 Remove check for dup jobs
 760033 Don't add items on idle
 760033 Depend on Tracker >= 1.7.1
 759587 Rework songs, artists, playlists, and albums queries
 Pass width/height during pixbuf loading
 751163 Restrict music catalog to the Music folder
 760381 Use GIO async APIs to download cover art
 734958 Increase the maximum width of the artist and track name

Translations updated:
 Spanish
 Slovenian

Overview of changes in 3.18.2
=============================

Bugs fixed:
 755601 Fix styling for entry tags (libgd)
 756256 Fix XML tag in help
 746446 Reset app title to Music after leaving album view
 756330 Fix crashes when coming back from search view
 757227 Fix missing toolbar when coming back from search resultg

Translations updated:
 Serbian
 German
 Greek
 Czech
 Basque
 Lithuanian
 Hungarian

Overview of changes in 3.18.0
=============================

Translations updated:
 Danish
 Swedish


Overview of changes in 3.17.92
=============================

Bugs fixed:
 744827 Empty stars in 'Search' view
 754654 Fixes for staticmethod definitions
 754702 Search drop-down doesn't show the right default source
 754836 Toggling search of  when on a albumWidget doesn't make search view disappear
 754977 gnomemusic/widgets.py using depreciated PARAM_READWRITE

Translations updated:
 Added Icelandic
 Finnish  update
 Fix FSF address in Polish
 French
 Kazakh
 Korean
 Lithuanian
 Turkish
 Persian


Overview of changes in 3.17.91
=============================

Bugs fixed:
 738516 Tags in search textbox are broken

Translations updated:
 Chinese (Taiwan)
 French
 Galician s
 German
 Greek
 Indonesian
 Italian
 Polish
 Update Catalan transation


Overview of changes in 3.17.90
=============================

Bugs fixed:
 744658 Playlists sidebar - border is cut off
 753488 Clicking on artist on search results does nothing

Translations updated:
 Brazilian Portuguese
 Czech
 Fix Portuguese desktop keywords
 Friulian
 Norwegian bokmål
 Turkish


Overview of changes in 3.17.4
=============================

Bugs fixed:
 705070 Last.fm/libre.fm integration
 747233 Remove "All Artists"
 752591 Convert margin_right to margin_end
 752592 Trivial code formatting cleanups

Several deprecations were removed
More performance improvements
Translations updated


Overview of changes in 3.17.3
=============================

Bugs fixed:
 743362 Give a nicer welcome
 744464 No results screen for Search
 747749 Cant't play favourite song in Album view
 748375 #!/bin/bash in autogen.sh
 749981 Tracks outside Music and Downloads are displayed in playlists

Translations updated:
 Added Occitan
 Dutch  316
 Esperanto
 Fix to Catalan
 Greek
 Norwegian bokmål
 Slovak
 Spanish
 Tajik
 Turkish
 l10n: Update Japanese
 update zh_CN


Overview of changes in 3.16.0
=============================

Translations updated:
 Basque language
 Finnish  update
 Fix a syntax error in desktop file keywords Bosnian
 Indonesian
 Tajik
 Update Aragonese
 Update Catalan


Overview of changes in 3.15.92
=============================

* Bug fix release

Bugs fixed:
 744657 Loading in-app notification gets stuck
 745646 Improve sorting of "songs" view
 745647 shuffleHistory fixes
 745648 Song view elements jump around
 745650 Not Enough Space Given For Track Titles in Album View

Translations updated:
 Added Bosnian
 Danish
 German
 Korean
 Polish
 Serbian
 Slovenian
 Swedish
 Turkish
 l10n: Update Japanese


Overview of changes in 3.15.91
=============================

* Bug fix release

Bugs fixed:
 705852 Now playing indicator is lost on switching views / artists / artist albums
 729377 Convert menu of gear button in the Playlists view into a popover
 729525 Show a loading animation when Add to Playlist is clicked in Albums and Artists view
 743310 Updates to Smart Playlist functionality in 3.15.4
 743883 Refresh Playlists/Songs view when star toggled
 743884 Protect smart playlists
 743901 Favorite Playlist and Starring implementation
 744005 stars in Album/Artist/Search views
 744655 Loading in-app notification is malformed
 744807 Last song on album view keeps repeating in "mix/no repeat" mode
 744832 Undo playlist delete --> reinsert at previous position

Translations updated:
 Basque language
 Brazilian Portuguese
 Chinese (Taiwan)
 Czech
 Fix German desktop file keyword
 French
 Galician s
 Greek
 Hebrew
 Hungarian
 Italian
 Kazakh
 Lithuanian
 Norwegian bokmål  from Åka Sikrom
 Russian
 Slovak
 Spanish
 Swedish
 Ukrainian
 Update Aragonese


Overview of changes in 3.15.90
=============================

* New smart playlist - Favourite tracks, all views updated to allow
  making a track favourite
* All Artists is not selected by default - improves performance
* All smart playlists now retyurn max 50 items
* Playlists menu now uses popover
* Notification appears on loading operations
* Favourite songs are now displayed on search view
* GStreamer discoverer performance fixes from garnacho
* Minor UI fixes


* Bugs fixed:
 744005 stars in Album/Artist/Search views
 729525 Show a loading animation when Add to Playlist is clicked in Albums and Artists view
 729377 Convert menu of gear button in the Playlists view into a popover
 743310 Updates to Smart Playlist functionality in 3.15.4


* Updated translations and help files

Overview of changes in 3.15.4
=============================

* Smart playlists - Most Played, Never Played, Recently Played
  The list is not yet final, stay tuned. Note that we use Last.fm's way
  to count song as 'played' - more than 40% of song content should be played.
* Chunked loading was removed - scrolling should be faster
* Content is now hidden before fully loaded - notification on the progress will
  land in master in next version.
* Playlists are remvoed after time out, removal can be undone
* Dependency cnahge: libmediaart-2.0.pc is now required
* Replaygain tags are now supported
* Overall performance fixes

* Bugs fixed:
 729376 New Playlist in application menu doesn't do anything
 704257 Visible content loading
 742603 Regression: empty covers are oversized in playbar, still 'in-progress' on artists view
 742451 Support Undo when removing playlists
 733686 Gnome music will not launch
 726459 Crash on playlist tabs when new media has been scanned
 702519 Smart playlists
 742800 Playlist broken due to typo
 742123 Hitting 'cancel' while creating new playlist crashes program
 731613 gnome-music-3.12.2 fails to start if xdg default directories are not created
 742011 Query: add a/an to articles
 730269  ReplayGain support?

* Updated translations and help files

Overview of changes in 3.15.2
=============================

* Better thread handling while fetching album art
* Some UI/UX goodies
* Notification can now be disabled
* 'The' (and translation) is not disregarded during sorting
* MPRIS improvements

* Bugs fixed:
 736925 Remove deprecation warnings from AlbumWidget.ui
 737142 Remove remaining gtk deprecation warnings
 737571 No covers loaded on libmediaart 0.6.0
 736241 Prefer embedded album art over downloaded
 732151 High CPU and sluggish performance
 733473 Use "Alt + left arrow" to navigate back
 738465 Have a dconf switch to disable notifications
 731392 Nicer empty state
 729378 Disregard "The" in titles
 734513 play/pause is activated twice when pressing spacebar and play/pause button is active/selected
 729309 Add support for MPRIS Playlists
 740211 Add support for MPRIS TrackList
 740212 Bump MPRIS support to 2.2
 740330 Album view - music icons are badly rendered
 740524 Missing license headers in playlists.py and searchbar.py
 731639 The pictures have different proportions, influencing the effect of alignment
 729459 under Artists, tracks in the same album are very far apart from each other
 740490 Music "forgets" search string, but search results remain

* Updated translations and help files

Overview of changes in 3.14.0
=============================

* Updated translations and help files

Overview of changes in 3.13.92
=============================

* Bugs fixed:
 735890 Fix the icons in RTL with new GTK+

* Updated translations and help files

Overview of changes in 3.13.90
=============================

* Ported to GtkActionbBar - now requires GTK+ 3.12
* Correct icoin is displayed for playlist menu (https://wiki.gnome.org/Initiatives/GnomeGoals/GearIcons)
* Better search UI
* HighContrast icons
* Improved Back navigation
* Notifications now behave correctly when paused and less flicker

* Bugs fixed:
 734786 center the search results
 734404 Missing high contrast icon
 734122 unable to switch to all albums view after return from search view
 734117 Pause button does not change to play button in the notification
 732150 Remove custom player bar styling
 732951 Don't use emblem-system-symbolic

* Updated translations and help files


Overview of changes in 3.13.4
=============================

* Bump python3 requirement to 3.3 (due to str.casefold)

* Bugs fixed:
 733095  Seeking in track above 36 minutes leads to crash

* Updated translations and help files


Overview of changes in 3.13.3
=============================

* Playlists are now stored in Tracker
* Back button now returns back to Search if available

* Bugs fixed:
 707461 add man page
 729311 Use Tracker to save Playlists
 728254 Incorrect item is removed in playlists if it has duplicates
 728255 Don't show playlists in Songs
 728330 Crash when the name of the new playlist contains special characters

* Updated translations and help files


Overview of changes in 3.13.2
=============================

* Improved search with source and match type selection
* Remote sources support: Jamendo, Magnatune, UPnP/DLNA
* Player bar now looks better when window is small

* Bugs fixed:
 729100 Media art in notifications is blank instead of symbolic when media art is not found
 729102 Notification doesn't show up when media art doesn't exist
 728255 Don't show playlists in Songs
 725949 gnome-music buttons have no tooltips
 728407 Enabling selection mode via right-click doesn't work inside albums in Albums view
 729521 Albums list in Artists view shouldn't be sensitive when in selection mode
 706948 Only show music from my ~/Music folder
 699807 PlayerToolbar - artist and track name can shrink to nothing
 730205 AttributeError: 'Stack' object has no attribute 'get_child_by_name'
 726713 Update of songs interferes with selection mode

* Updated translations and help files


Overview of changes in 3.13.1
=============================

* Thumbnail fetching was reworked. now should be much faster
* New dependency: libmediaart
* Updated playlist UI
* Now requires GTK 3.10
* Shuffle menu is now a popover
* Load More button was removed

* Bugs fixed:
 724627 Playlists UX review
 726721 Some tracks are identified as 'MediaVideo' and crash in various places
 727444 gnome-music crashed with OSError in_on_source_added(): [Errno 5] I/O error
 727522 Accelerator for Select All doesn't work
 728323 Set the icon name of the window as "gnome-music"
 724112 Crashes when cannot connect to tracker
 702565 Load cover art on scroll in Albums and Artists view
 699832 Replace Load More with autoloading on pressure
 729096 Media art is not shown in MPRIS clients

* Updated translations and help files


Overview of changes in 3.11.92
=============================

* Improved and tranlated help
* Space now plays/pauses the current song
* Minor UI updates to playlists


* Bugs fixed:
 707454 Space switches to next item
 724627 Make select button insensitive while creating New Playlist
 725904 Tracks don't appear in artists view for albums that have many tracks


* Updated translations

Overview of changes in 3.11.91
=============================

* Initial help infrastructure
* More info is printed if the track cannot be played
* Last 10 played tracks are stored in shuffle history
* Other minor improvements and bug fixes


* Bugs fixed:
 707744 Song is being replayed when paused
 724228 Remove 'now playing' from the app menu
 707457 Restart current track when Previous button was clicked and position is more than 3 seconds
 725355 Do not crash if we happen to come across a filename we can't decode
 723942 Search on keypress function opens search bar even when pressing any key
 724954 Selecting all albums is not visible at first
 707376 Set the position of the view scrollbar to current song when a song is changed


* Updated translations:
 Spanish
 Norwegian bokmål
 Tajik
 Czech
 Brazilian Portuguese
 Hebrew
 Chinese
 Lithuanian
 Italian
 Hungarian
 Finnish

Overview of changes in 3.11.90
=============================

* Initial playlists support
* Filter-as-you-type
* Misc fixes and improvements


* Bugs fixed:
 700022 app no longer fits half maximized
 721297 Shuffle is not random enough
 723765 Static spinner superimposed over album artwork
 708154 Crash when Search button is toggled on No Music view
 724027 theme: actionbar has a doubleborder
 724025 searchbar isn't styled properly
 724016 don't segment artist list sidebar
 721595 Typing should trigger a search
 723750 The stack switcher is gone when run gnome-music with GTK+ 3.11
 709234 Music cannot be run via ssh forwarding


* Added translations:
 Aragonese
 Esperanto

* Updated translations:
 Hebrew
 Lithuanian
 Traditional Chinese
 Norwegian bokmål
 Turkish
 Finnish
 Czech
 Greek
 Brazilian Portuguese
 Galician
 Chinese simplified
 Slovenian
 German
 Italian
 Spanish
 Tajik


Overview of changes in 3.11.2
=============================

* Exit selection mode on pressing Esc
* Pep8 compatibility
* Broken AppData file was removed from sources

* Bugs fixed:
 707590 Fix app menu accelerator conflict
 708279 Make the cancel button as center vertically
 709033 Album Cover art not displayed in the notifications
 707399 Add translator comment to not translate GSettings values
 705853 Enter selection mode on right-click
 707633 Save window position, size and maximization state
 709465 Update position while switching songs

* Added translations:
 Afrikaans
 Catalan (Valencian)
 Malayalam
 Telugu

* Updated translations:
 Norwegian bokmål
 Turkish
 Persian
 Simplified Chinese
 Slovenian
 Tajik
 Spanish
 Galician
 Greek
 Dutch


Overview of changes in 3.10.0
=============================

* Added translations:
 Estonian
 Belarusian

* Updated translations:
 Assamese
 Portuguese
 Latvian
 Slovak
 Ukrainian
 Traditional Chinese
 Catalan
 Kannada
 Indonesian
 Hebrew


Overview of changes in 3.9.92
=============================

* Added AppData description

* Icons are now RTL-compatible

* Notifications appear during the playback

* All views can be filtered via search button or Ctrl+F shortcut

* URLs with no FileDataObject (*.cue) are now filtered

* Fixed MPRIS commands: close, play, thumbnail display

* Songs view now displays 'Unknown Album' for tracks with no album set

* Gnome Music notifies about startup


* Bugs fixed:
 702377 Add support for notifications
 703303 Music doesn't properly tell MPRIS clients that the song is replayed when in repeat song mode
 706576 Repeat/Shuffle icons should have RTL variants
 707388 Add AppData description
 707632 MPRIS Close command is broken
 707824 No notification when Music starts
 707937 freeze-break branch | Crash when try to start song
 707938 gnome-music crashes with TypeError: Argument 0 does not allow None as a value
 708102 Thumbnail no longer shows up in MPRIS clients
 708103 Playing default playlist is broken
 708116 Crash in notification when the current track gets hidden while searching
 708117 Use RTL variants of buttons in notifications on RTL languages
 708159 Empty album column when an album title is unknown

* Added translations:
 Basque
 British English
 Catalan
 Danish
 Dutch
 French
 Indonesian
 Korean
 Latvian
 Traditional Chinese

* Updated translations:
 Brazilian Portuguese
 Czech
 Finnish
 Galician
 German
 Hungarian
 Italian
 Lithuanian
 Norwegian bokmål
 Polish
 Russian
 Serbian
 Slovak
 Slovenian
 Spanish
 Tajik


Overview of changes in 3.9.91
=============================

* All songs will now be loaded in Songs view after switching to it
  for the first time

* First song in Songs view will play if Play is executed in MPRIS and
  there is no current playlist

* The URIs are now discovered asynchronously, to make loading songs
  faster

* An error icon will now show up when the file is deleted

* The message when no music files are found is now more verbose

* Bugs fixed:
 700776 Licensing problems
 705855 Crash when attempting to get properties over DBus
 706019 Don't use the discoverer if we don't care of the results
 706294 Duration in Albums view increases every time an album is se...
 706353 About box changes size when license button is toggled on, l...
 706457 Invalid copyright headers
 706533 More explanation when Music says "No Music Found"
 706800 Cancel button in toolbar shouldn't be emphasized
 706947 Can't shuffle my entire library without clicking "load more...

* Added translations:
 Irish
 Tajik

* Updated translations:
 Brazilian Portuguese
 Czech
 Galician
 Italian
 Lithuanian
 Norwegian bokmål
 Polish
 Slovak
 Slovenian
 Spanish


Overview of changes in 3.9.90
=============================

* Initial release
